Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0029566
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. PlatformminorN/A2015-04-13 08:432015-06-01 10:00
ReporteralostaleView Statuspublic 
Assigned Tocaristu 
PrioritynormalResolutionfixedFixed in Version3.0PR15Q3
StatusclosedFix in branchFixed in SCM revisionac68a43ce656
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0029566: Upgrade Jasper Libraries

Descriptionhttp://wiki.openbravo.com/wiki/Projects:Upgrade_Jasper_Libraries [^]
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0005277 closedshuehner WARNING messages with new JasperReports library 
related to defect 0029882 closedcaristu API changes required for Jasper library upgrade to version 6.0.0 
related to defect 00317093.0PR16Q2 closedcaristu some reports are not exported using JDK 8 
related to feature request 0032329 closedplatform Overload the renderJr method on HttpSecureAppServlet to allow specify to compile the subreports 
related to feature request 0039202 newplatform Update POI library 
blocks defect 00293183.0PR15Q3 closedcaristu pdf tmp-files creating during renderJR & stored in attach.path are never deleted 
blocks feature request 0029745 closedcaristu Add on the renderJr method the possibility to print on plain text 
causes defect 0031676 closedcaristu Some values are not shown in XLS format after Jasper Library Upgrade using Microsoft Office 2007 
causes defect 0031944 closedcaristu Labels in AD_TextInterfaces linked to a concrete file are not translated 
causes backport 00319483.0PR15Q3.5 closedcaristu Labels in AD_TextInterfaces linked to a concrete file are not translated 

-  Notes
(0077706)
hgbot (developer)
2015-05-25 12:40

Repository: erp/devel/pi
Changeset: ac68a43ce6569746a77f67d78906d7addbac841b
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon May 25 12:31:46 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/ac68a43ce6569746a77f67d78906d7addbac841b [^]

Fixes issue 29566: Upgrade Jasper Libraries

---
M legal/Licensing.txt
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_reports/OutstandingDeposit.jrxml
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_reports/OutstandingPayment.jrxml
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_reports/ReportReconciliation.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_reports/ReportReconciliation.jrxml
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_reports/UnreconciledBankStatement.jrxml
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_MESSAGE.xml
M modules/org.openbravo.client.application/src/org/openbravo/client/application/report/BaseReportActionHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/report/ReportingUtils.java
M modules/org.openbravo.financial.paymentreport/src/org/openbravo/financial/paymentreport/erpCommon/ad_reports/PaymentReportExcel.jrxml
M modules/org.openbravo.financial.paymentreport/src/org/openbravo/financial/paymentreport/erpCommon/ad_reports/PaymentReportPDF.jrxml
M modules/org.openbravo.reports.ordersawaitingdelivery/src/org/openbravo/reports/ordersawaitingdelivery/erpCommon/ad_reports/ReportOrderNotShipped.jrxml
M src/org/openbravo/base/secureApp/HttpSecureAppServlet.java
M src/org/openbravo/erpCommon/ad_process/JasperProcess.java
M src/org/openbravo/erpCommon/ad_reports/CustomerStatement.jrxml
M src/org/openbravo/erpCommon/ad_reports/GeneralAccountingReportsPDF.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportAgingBalance.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportAnnualCertification.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportAssetDepreciationSchedule.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportBankJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportCashJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportCashflowForecast.java
M src/org/openbravo/erpCommon/ad_reports/ReportCashflowForecast.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportCashflowForecast_perDay.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportCashflowForecast_sub.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportDebtPayment.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportDebtPaymentTracker.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportDebtPayment_BankAcc.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportDebtPayment_NoBP.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportDebtPayment_NoBP_BankAcc.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportExpense.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportGeneralLedger.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportGeneralLedgerExcel.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportGeneralLedgerJournal.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportGeneralLedgerJournalExcel.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportGuaranteeDateJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesComparativeJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesComparativeJR_legacy.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesMultiComparativeExtendedJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesMultiComparativeJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesNoComparativeJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesNoComparativeJR_legacy.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesXLS.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceDiscountJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceVendorDimensionalAnalysesXLS.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceVendorJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportInvoicesEditJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportMaterialTransactionEditionJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportOrderNotInvoiceJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportPendingProductionJr.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportProductionJR.java
M src/org/openbravo/erpCommon/ad_reports/ReportProductionRun.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportProjectBuildingSiteJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportProjectProfitabilityJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportProjectProgress.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportPurchaseOrder.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportSalesOrderInvoicedJasper.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportSalesOrderJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportSalesOrderProvidedJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportSalesPartnerProduct.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportSalesPartnerProduct_srpt.jasper
M src/org/openbravo/erpCommon/ad_reports/ReportSalesPartnerProduct_srpt.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportShipmentEdition.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportStandardCostJR.java
M src/org/openbravo/erpCommon/ad_reports/ReportStandardCostsJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportStandardCostsJR_srptcosts.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportStandardCostsJR_subreport0.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportTaxInvoice.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportTaxInvoiceJR.java
M src/org/openbravo/erpCommon/ad_reports/ReportTaxInvoicePurchase.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportTaxInvoicePurchaseForeign.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportTaxInvoiceSale.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportTaxInvoiceSaleForeign.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportToInvoiceConsignmentJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportTrialBalanceExcel.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportTrialBalancePDF.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportWarehousePartnerJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportWorkRequirementDaily.java
M src/org/openbravo/erpCommon/ad_reports/ReportWorkRequirementDailyEdit.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportWorkRequirementJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/SimpleDimensionalComparative.jrxml
M src/org/openbravo/erpCommon/ad_reports/SimpleDimensionalNoComparative.jrxml
M src/org/openbravo/erpCommon/ad_reports/SubreportWorkRequirementDaily.jrxml
M src/org/openbravo/erpCommon/ad_reports/SubreportWorkRequirementDaily2.jrxml
M src/org/openbravo/erpCommon/ad_reports/WeightDimensionalComparative.jrxml
M src/org/openbravo/erpCommon/ad_reports/WeightDimensionalNoComparative.jrxml
M src/org/openbravo/erpCommon/ad_reports/productionReport.jrxml
M src/org/openbravo/erpCommon/ad_reports/productionSubReport.jrxml
M src/org/openbravo/erpCommon/utility/ExportGrid.java
M src/org/openbravo/erpCommon/utility/GridBO.java
M src/org/openbravo/erpCommon/utility/GridReportVO.java
M src/org/openbravo/erpCommon/utility/PrintJR.java
M src/org/openbravo/erpCommon/utility/ReportDesignBO.java
M src/org/openbravo/erpCommon/utility/Utility.java
M src/org/openbravo/erpCommon/utility/plantilla.jrxml
M src/org/openbravo/erpCommon/utility/reporting/ReportManager.java
M src/org/openbravo/erpCommon/utility/reporting/printing/PrintController.java
M src/org/openbravo/erpReports/C_OrderJR.jrxml
M src/org/openbravo/erpReports/C_OrderJR_new.jrxml
M src/org/openbravo/erpReports/C_OrderLinesJR.jrxml
M src/org/openbravo/erpReports/C_OrderLinesJR_new.jrxml
M src/org/openbravo/erpReports/C_OrderLinesTaxIncludedJR.jrxml
M src/org/openbravo/erpReports/C_OrderLinesTaxIncludedJR_new.jrxml
M src/org/openbravo/erpReports/C_QuotationJR.jrxml
M src/org/openbravo/erpReports/C_RMOrderJR.jrxml
M src/org/openbravo/erpReports/C_RMOrderLinesJR.jrxml
M src/org/openbravo/erpReports/ReportRegisterByVatJR.jrxml
M src/org/openbravo/erpReports/ReportRegisterLineJR.jrxml
M src/org/openbravo/erpReports/RptC_Invoice.java
M src/org/openbravo/erpReports/RptC_Invoice.jrxml
M src/org/openbravo/erpReports/RptC_Invoice_Lines.jrxml
M src/org/openbravo/erpReports/RptC_Invoice_Lines_new.jrxml
M src/org/openbravo/erpReports/RptC_Invoice_TaxLines.jrxml
M src/org/openbravo/erpReports/RptC_Invoice_TaxLines_new.jrxml
M src/org/openbravo/erpReports/RptC_Invoice_new.jrxml
M src/org/openbravo/erpReports/RptC_Order.java
M src/org/openbravo/erpReports/RptC_OrderPO.java
M src/org/openbravo/erpReports/RptC_OrderPO.jrxml
M src/org/openbravo/erpReports/RptC_OrderPO_Lines.jrxml
M src/org/openbravo/erpReports/RptC_Order_TaxLines.jrxml
M src/org/openbravo/erpReports/RptC_Order_TaxLines_new.jrxml
M src/org/openbravo/erpReports/RptC_ProposalJr.java
M src/org/openbravo/erpReports/RptC_ProposalJr.jrxml
M src/org/openbravo/erpReports/RptC_Remittance.java
M src/org/openbravo/erpReports/RptC_Remittance.jrxml
M src/org/openbravo/erpReports/RptC_Remittance_Lines.jrxml
M src/org/openbravo/erpReports/RptFIN_Payment.jrxml
M src/org/openbravo/erpReports/RptFIN_PaymentLines.jrxml
M src/org/openbravo/erpReports/RptMA_ProcessPlan.jrxml
M src/org/openbravo/erpReports/RptM_InOut.jrxml
M src/org/openbravo/erpReports/RptM_InOut_new.jrxml
M src/org/openbravo/erpReports/RptM_RMInOut.jrxml
M src/org/openbravo/erpReports/RptM_RMInOut_Lines.jrxml
M src/org/openbravo/erpReports/RptM_Requisition.java
M src/org/openbravo/erpReports/RptM_Requisition.jrxml
M src/org/openbravo/erpReports/RptM_Requisition_Lines.jrxml
M src/org/openbravo/erpReports/Rptm_InOut_Lines.jrxml
M src/org/openbravo/erpReports/Rptm_InOut_Lines_new.jrxml
M src/org/openbravo/erpReports/SubreportLines.jrxml
A legal/Apache_poi_license.txt
A legal/iTextpdf_license.txt
A lib/runtime/itext-pdfa-5.5.0.jar
A lib/runtime/itextpdf-5.5.0.jar
A lib/runtime/jackson-annotations-2.1.4.jar
A lib/runtime/jackson-core-2.1.4.jar
A lib/runtime/jackson-databind-2.1.4.jar
A lib/runtime/jasperreports-6.0.0.jar
A lib/runtime/jasperreports-fonts-6.0.0.jar
A lib/runtime/poi-3.10.1.jar
R lib/runtime/iText-2.1.7.jar
R lib/runtime/jasperreports-4.0.1.jar
R lib/runtime/jasperreports-fonts-4.0.1.jar
---
(0077730)
hgbot (developer)
2015-05-26 09:05

Repository: erp/devel/pi
Changeset: 4de05d3c4efd7d7c7599a836a6c061092d8a7fab
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Tue May 26 09:03:09 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/4de05d3c4efd7d7c7599a836a6c061092d8a7fab [^]

Related to issue 29566: fix in comment

---
M src/org/openbravo/erpCommon/utility/reporting/printing/PrintController.java
---
(0077760)
hudsonbot (developer)
2015-05-26 15:08

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b0c5594df387 [^]
Maturity status: Test
(0077762)
hudsonbot (developer)
2015-05-26 15:08

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b0c5594df387 [^]
Maturity status: Test
(0077825)
hgbot (developer)
2015-05-27 16:32

Repository: erp/devel/pi
Changeset: 9eb109c1f121a47d3ac53859d7ddce0ece1db90b
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Wed May 27 16:31:12 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/9eb109c1f121a47d3ac53859d7ddce0ece1db90b [^]

Related to issue 29566: fixes deprecated method calls in ReportDesignBO

---
M src/org/openbravo/erpCommon/utility/ReportDesignBO.java
---
(0077846)
hudsonbot (developer)
2015-05-28 01:10

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ae25da3bd47f [^]
Maturity status: Test
(0077916)
alostale (developer)
2015-06-01 10:00

code reviewed

tested as part of the project's QA

- Issue History
Date Modified Username Field Change
2015-04-13 08:43 alostale New Issue
2015-04-13 08:43 alostale Assigned To => platform
2015-04-13 08:43 alostale Modules => Core
2015-04-13 08:43 alostale Triggers an Emergency Pack => No
2015-04-16 11:14 alostale Status new => acknowledged
2015-04-16 11:14 alostale Type defect => feature request
2015-05-06 16:47 alostale Relationship added blocks 0029318
2015-05-06 16:53 alostale Relationship added related to 0005277
2015-05-07 09:55 alostale Relationship added blocks 0029745
2015-05-22 09:48 alostale Review Assigned To => alostale
2015-05-22 09:48 alostale Assigned To platform => caristu
2015-05-22 09:48 alostale Status acknowledged => scheduled
2015-05-25 12:40 hgbot Checkin
2015-05-25 12:40 hgbot Note Added: 0077706
2015-05-25 12:40 hgbot Status scheduled => resolved
2015-05-25 12:40 hgbot Resolution open => fixed
2015-05-25 12:40 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/ac68a43ce6569746a77f67d78906d7addbac841b [^]
2015-05-25 12:51 caristu Relationship added related to 0029882
2015-05-26 09:05 hgbot Checkin
2015-05-26 09:05 hgbot Note Added: 0077730
2015-05-26 15:08 hudsonbot Checkin
2015-05-26 15:08 hudsonbot Note Added: 0077760
2015-05-26 15:08 hudsonbot Checkin
2015-05-26 15:08 hudsonbot Note Added: 0077762
2015-05-27 16:32 hgbot Checkin
2015-05-27 16:32 hgbot Note Added: 0077825
2015-05-28 01:10 hudsonbot Checkin
2015-05-28 01:10 hudsonbot Note Added: 0077846
2015-06-01 10:00 alostale Note Added: 0077916
2015-06-01 10:00 alostale Status resolved => closed
2015-06-01 10:00 alostale Fixed in Version => 3.0PR15Q3
2015-12-09 17:26 caristu Relationship added causes 0031676
2015-12-15 09:39 alostale Relationship added related to 0031709
2016-01-19 18:32 alostale Relationship added causes 0031944
2016-01-20 17:10 dmitry_mezentsev Relationship added causes 0031948
2016-02-24 18:37 caristu Relationship added related to 0032329
2018-08-30 14:27 caristu Relationship added related to 0039202


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker